PAD(4)

NAME
pad - Pseudo audio device driver

SYNOPSIS
pseudo-device pad
audio* at audiobus?

DESCRIPTION
pad is a pseudo-device driver which provides support for feeding back PCM data from a consumer of the audio(4) API to userland.

FILES
The pad pseudo-device driver receives data from /dev/soundN and feeds the raw PCM output to /dev/padN.

/dev/soundN

/dev/padN

EXAMPLES
The following example streams an MP3 to an Apple AirTunes compatible device:

    $ rtunes -  /dev/pad0
    $ mpg123 -a /dev/sound1 mozart.mp3

SEE ALSO
audio(4)

HISTORY
The pad driver appeared in NetBSD 5.0.

AUTHORS
Jared D. McNeill <jmcneill@invisible.ca>